-- Trouver les différentes occurence de tous les cours
SELECT * FROM courses, courses_runs WHERE courses.id=courses_runs.id_course;

-- Trouver les organisations de chaque cours
SELECT * FROM courses, organizations, courses_organizations
        WHERE courses.id = courses_organizations.id_course
          AND courses_organizations.id_organization = organizations.id;

-- Tous les sujets de la table categories en l'affichant qu'une colonne dont le titre est 'sujets'
SELECT categories.title as sujets FROM `categories` WHERE categories.genre = 'subjects'; 

-- Tous les titres des cours dont la durée est de 6 semaines
SELECT title as TitreDuCours FROM `courses` WHERE duration = "6 semaines";

-- Les cours dont le titre contient le mot mathématiques ou mathematics
SELECT *  FROM `courses` WHERE `title` LIKE '%mathemati%'

-- Donner la dernière occurence de chacun des cours et leur nombre de répétitions
SELECT courses.title as titre, MAX(courses_runs.start) as dernier, COUNT(*) as nb
  FROM courses, courses_runs
  WHERE courses_runs.id_course = courses.id
  GROUP BY courses.id
  ORDER BY nb DESC;

-- Le nombre de cours par organisations
SELECT organizations.title as nom, COUNT(courses.id) as nombre  FROM courses, organizations, courses_organizations
        WHERE courses.id = courses_organizations.id_course
          AND courses_organizations.id_organization = organizations.id
        GROUP BY organizations.id;



-- Les mots clefs associé ou cours des organisations dont l'un des cours a pour sujet la santée
 
SELECT organizations.title as nomOrga, GROUP_CONCAT(DISTINCT(categories.title)) as motsClefs
  FROM courses, organizations, courses_organizations, categories, courses_categories
        WHERE courses.id = courses_organizations.id_course
          AND courses_organizations.id_organization = organizations.id
          AND courses_categories.id_course = courses.id
          AND courses_categories.id_categorie = categories.id
          AND categories.genre = 'subjects'
       GROUP BY organizations.id
       HAVING motsClefs LIKE '%sante%';